<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/homeModuleAssuageGriefViewChildLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/home_card_view_stroke"
        android:orientation="vertical"
        android:paddingLeft="@dimen/platform_dp_15"
        android:paddingTop="@dimen/platform_dp_18"
        android:paddingRight="@dimen/platform_dp_15"
        android:paddingBottom="@dimen/platform_dp_20">

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/platform_dp_18">

        <RelativeLayout
                android:id="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:layout_width="38dp"
                android:layout_height="38dp"
                android:background="@drawable/home_assuage_grief_stroke_line">

            <androidx.cardview.widget.CardView
                    android:layout_width="@dimen/platform_dp_36"
                    android:layout_height="@dimen/platform_dp_36"
                    android:layout_centerInParent="true"
                    app:cardCornerRadius="@dimen/platform_dp_18"
                    app:cardElevation="0dp">

                <ImageView
                        android:id="@+id/homeModuleAssuageGriefViewPersonImg"
                        android:layout_width="@dimen/platform_dp_36"
                        android:layout_height="@dimen/platform_dp_36"
                        android:scaleType="centerCrop"
                        android:src="@drawable/platform_head_place_hold_pic" />
            </androidx.cardview.widget.CardView>
        </RelativeLayout>

        <TextView
                android:id="@+id/homeModuleAssuageGriefViewPersonName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignTop="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:layout_alignBottom="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:layout_marginLeft="@dimen/platform_dp_8"
                android:layout_toRightOf="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:gravity="center_vertical"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_14"
                android:textStyle="bold"
                tools:text="Zoe Miller" />

        <TextView
                android:id="@+id/homeModuleAssuageGriefViewTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:layout_marginLeft="@dimen/platform_dp_8"
                android:layout_marginBottom="0.5dp"
                android:layout_toRightOf="@+id/homeModuleAssuageGriefViewPersonCardView"
                android:textColor="@color/platform_color_999999"
                android:textSize="@dimen/platform_dp_12"
                android:visibility="gone"
                tools:text="今天 15：05" />

        <RelativeLayout
                android:id="@+id/homeModuleAssuageGriefItemViewIsFollow"
                android:layout_width="@dimen/platform_dp_60"
                android:layout_height="@dimen/platform_dp_24"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true">

            <ImageView
                    android:id="@+id/homeModuleAssuageGriefItemViewFollow"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_centerInParent="true"
                    android:background="@drawable/home_dynamic_item_focus_bg"
                    android:src="@drawable/home_ic_done"
                    android:visibility="gone"
                    tools:visibility="gone" />

            <TextView
                    android:paddingLeft="6dp"
                    android:id="@+id/homeModuleAssuageGriefItemViewUnFollow"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_centerInParent="true"
                    android:background="@drawable/home_dynamic_item_focus_bg"
                    android:drawableLeft="@drawable/home_ic_add"
                    android:text="关注"
                    android:gravity="center_vertical"
                    android:textSize="@dimen/platform_sp_14"
                    android:textColor="@color/platform_main_theme"
                    android:visibility="gone"
                    tools:visibility="visible" />
        </RelativeLayout>

    </RelativeLayout>


    <!-- 标题，默认隐藏-->
    <TextView
            android:id="@+id/homeModuleAssuageGriefViewTitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/platform_dp_6"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/platform_color_242424"
            android:textSize="@dimen/platform_dp_18"
            android:textStyle="bold"
            android:visibility="gone"
            tools:text="可是除了你，没人能左右我的情绪可是除了你，没人能左右我的情绪" />

    <TextView
            android:id="@+id/homeModuleAssuageGriefViewContent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:lineSpacingExtra="@dimen/platform_dp_5"
            android:maxLines="3"
            android:textColor="@color/platform_color_666666"
            android:textSize="@dimen/platform_dp_13"
            tools:text="在我空闲的时间里，我想起了许久没有联系的露娜，给她打了一通电话。我没有说很多，可她还是感觉出了我的不对劲，竟然不顾雪夜寒冷与路途遥远，一个多钟在我空闲的时间里，我想起了许久没有联系的露娜，给她打了一通电话。我没有说很多，可她还是感觉出了我的不对劲，竟然不顾雪夜寒冷与路途遥远，一个多钟..." />

    <!-- 评论内容，默认隐藏-->
    <RelativeLayout
            android:id="@+id/homeModuleAssuageGriefViewComment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/platform_dp_16"
            android:background="@drawable/home_assuage_grief_item_view_tab_back"
            android:paddingBottom="@dimen/platform_dp_12"
            android:visibility="gone">

        <ImageView
                android:id="@+id/homeModuleAssuageGriefViewHotView"
                android:layout_width="@dimen/platform_dp_28"
                android:layout_height="@dimen/platform_dp_14"
                android:src="@drawable/home_comment_hot_icon" />

        <TextView
                android:id="@+id/homeModuleAssuageGriefViewHotViewComment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/homeModuleAssuageGriefViewHotView"
                android:layout_marginLeft="@dimen/platform_dp_15"
                android:layout_marginTop="@dimen/platform_dp_5"
                android:layout_marginRight="@dimen/platform_dp_15"
                android:ellipsize="end"
                android:maxLines="2"
                android:textColor="@color/platform_color_444444"
                android:textSize="@dimen/platform_dp_13"
                android:textStyle="bold"
                tools:text="劳蘸酱：" />

        <TextView
                android:id="@+id/homeModuleAssuageGriefViewHotViewCommentContent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/homeModuleAssuageGriefViewHotView"
                android:layout_marginLeft="@dimen/platform_dp_15"
                android:layout_marginTop="@dimen/platform_dp_5"
                android:layout_marginRight="@dimen/platform_dp_15"
                android:ellipsize="end"
                android:lineSpacingExtra="@dimen/platform_dp_4"
                android:maxLines="2"
                android:textColor="@color/platform_color_444444"
                android:textSize="@dimen/platform_dp_13"
                tools:text="劳蘸酱：人生的旅途中，我们总是在不断的相遇和告别中前行。生活总会让我们经历着或多或少我们总是在不断的相遇和告别中前行我们总是在不断的相遇和告别中前行" />

    </RelativeLayout>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/platform_dp_20"
            android:orientation="horizontal">

        <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/home_assuage_grief_item_view_tab_back"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/platform_dp_7"
                android:paddingTop="@dimen/platform_dp_4"
                android:paddingRight="@dimen/platform_dp_7"
                android:paddingBottom="@dimen/platform_dp_4">

            <ImageView
                    android:layout_width="11.36dp"
                    android:layout_height="10.72dp"
                    android:src="@drawable/home_assuage_grief_item_view_tab_icon" />

            <TextView
                    android:id="@+id/homeModuleAssuageGriefViewTag"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/platform_dp_3"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="@dimen/platform_dp_12"
                    tools:text="情感倾诉" />
        </LinearLayout>

        <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

        <ImageView
                android:layout_width="@dimen/platform_dp_18"
                android:layout_height="@dimen/platform_dp_18"
                android:src="@drawable/home_assuage_grief_item_view_tab_comment" />

        <TextView
                android:id="@+id/homeModuleAssuageGriefViewCommentsCount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/platform_dp_5"
                android:layout_marginRight="@dimen/platform_dp_22"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_14"
                tools:text="68" />

        <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


        </LinearLayout>

        <LinearLayout
                android:id="@+id/ll_zan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

            <ImageView
                    android:id="@+id/homeModuleAssuageGriefViewIsNotZan"
                    android:layout_width="@dimen/platform_dp_18"
                    android:layout_height="@dimen/platform_dp_18"
                    android:src="@drawable/home_assuage_grief_item_view_tab_warm" />

            <com.airbnb.lottie.LottieAnimationView
                    android:id="@+id/homeModuleAssuageGriefViewIsZan"
                    android:layout_width="@dimen/platform_dp_18"
                    android:layout_height="@dimen/platform_dp_18"
                    android:scaleType="centerCrop"
                    android:visibility="gone"
                    app:lottie_fileName="hug.json"
                    app:lottie_imageAssetsFolder="images" />

            <TextView
                    android:id="@+id/homeModuleAssuageGriefViewZanCount"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/platform_dp_5"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="@dimen/platform_dp_14"
                    tools:text="987" />

        </LinearLayout>
    </LinearLayout>

</LinearLayout>
